Subject: Re: [PATCH v2 3/5] gpio: msc313: MStar MSC313 GPIO driver

From: Marc Zyngier <[email-masked]>
Date: Tue, 10 Nov 2020 14:19:56 +0000

On 2020-11-10 14:02, Linus Walleij wrote:
> On Thu, Nov 5, 2020 at 4:43 PM Marc Zyngier <[email-masked]> wrote:
>> On 2020-11-05 15:23, Daniel Palmer wrote:
>> > On Thu, 5 Nov 2020 at 21:08, Marc Zyngier <[email-masked]> wrote:
> 
>> > >  I see that msc313_gpio_irqchip doesn't have a
>> >> .irq_set_affinity callback. Is this system UP only?
>> >
>> > What is in mainline right now is UP only but there are chips with a
>> > second cortex A7 that I have working in my tree.
>> > So I will add that in for v3 if I can work out what I should actually
>> > do there. :)
>> 
>> Probably nothing more than setting the callback to
>> irq_chip_set_affinity_parent,
> 
> Hm, is this something all GPIO irqchips used on SMP systems
> should be doing? Or just hierarchical ones?

Probably only the hierarchical ones. I'd expect the non-hierarchical
GPIOs to be muxed behind a single interrupt, which makes it impossible
to move a single GPIO around, and moving the mux interrupt would break
userspace's expectations that interrupts move independently of each 
others.

Thanks,

         M.
-- 
Jazz is not dead. It just smells funny...

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel